//madeline tjoa BMI

import java.applet.*;

import javax.swing.*;

import java.awt.*;
import java.awt.event.ActionListener;
import java.text.NumberFormat;
import java.awt.event.ActionEvent;

import java.io.*;
import java.text.*;


public class CarRentalRadio extends JApplet implements ActionListener{

	//declare our components or fields(global level variable)
		JTextField txtName = new JTextField(20);
		JTextField txtAddress = new JTextField(20);
		JTextField txtCity = new JTextField(5);
		JTextField txtState = new JTextField(20);
		JTextField txtZipCode = new JTextField(5);
		JTextField txtOdo1 = new JTextField(5);
		JTextField txtOdo2 = new JTextField(20);
		JTextField txtDays = new JTextField(5);
	
		JTextArea txaresult = new JTextArea(
				"Miles Driven | Total Charge | Customer Info" + "\n", 10,33);
	
		JButton btnAdd = new JButton("Rent A Car");
	
		//JPanel pnlPanel = new JPanel();
		JPanel pnlMain = new JPanel();
		JPanel pnlInput = new JPanel();
		JPanel pnlOutput = new JPanel();
	
		double totalRentals;
		double moneyGained;
		double averageSpent;
		
		

		//add radio buttons and a checkbox
		JRadioButton PayLevel2RadioButton = new JRadioButton("Truck");
		JRadioButton PayLevel3RadioButton = new JRadioButton("Limo");
		JRadioButton PayLevel4RadioButton = new JRadioButton("Smart Car");
		
		JCheckBox boseCheckBox = new JCheckBox("Bonus Bose System");
		JCheckBox leatherCheckBox = new JCheckBox("Bonus Leather");
		
		ButtonGroup PayButtonGroup = new ButtonGroup();
		
		
		
		
	
	//Create the init method(initialize method)
		public void init() {
			
			//place components on the applet panel(Declaring method/functions that will be called)
			DesignInputPanel();
			DesignOutputPanel();
			
			pnlMain.add(pnlInput);
			pnlMain.add(btnAdd);
			pnlMain.add(pnlOutput);
			
			resize(500,400);
			txtName.requestFocus();
			//set the content to the panel (or else it wont show up)
			setContentPane(pnlMain);
			btnAdd.addActionListener(this);
			txtName.addActionListener(this);
			txtAddress.addActionListener(this);
			txtCity.addActionListener(this);
			txtState.addActionListener(this);
			txtZipCode.addActionListener(this);
			txtOdo1.addActionListener(this);
			txtOdo2.addActionListener(this);
			txtDays.addActionListener(this);
			
			
			
			
		}
		
		

		
	//when you put the button it comes to this function
		public void actionPerformed(ActionEvent event) {
			
		//1. get variables	
			String nameString;
			String AddressString;
			String CityString;
			String StateString;
			String ZipCodeString;
			
			
			
			
			String outputString;
			
			double Odo1Double;
			double Odo2Double;
			double DaysDouble;
			double variable1Cost = 15;
			double variable2Cost = 20;
			double bosevariable = 0;
			double variable1Mile = .12;
			double leathervariable = 0;
			
			
			
		//2. information	
		try {
			nameString = txtName.getText();
			AddressString = txtAddress.getText();
			CityString = txtCity.getText();
			StateString = txtState.getText();
			ZipCodeString = txtZipCode.getText();
			
			
			Odo1Double = Double.parseDouble(txtOdo1.getText());
			Odo2Double = Double.parseDouble(txtOdo2.getText());
			DaysDouble = Double.parseDouble(txtDays.getText());
			
			
			
			
			
			//RADIO increases the rate of pay by a certain amount
			if(PayLevel2RadioButton.isSelected()) {
				
				variable1Cost = 10;
				variable1Mile =.12;
				
				}
			else if(PayLevel3RadioButton.isSelected()) {
					
				variable1Cost = 15;
				variable1Mile = .15;
				
				}
			else if(PayLevel4RadioButton.isSelected()) {
				
				variable1Cost = 20;
				variable1Mile = .2;
				
				
				}
			
			if(boseCheckBox.isSelected()) {
				 bosevariable = 2;
			}
			if(leatherCheckBox.isSelected()) {
				 leathervariable = 3;
			}
			
			
			
//3. Calculate 
				
			CarRentalCalculations ThePayClass = new CarRentalCalculations(Odo1Double,Odo2Double,DaysDouble, variable1Cost, variable1Mile, bosevariable, leathervariable);
			double payDouble = ThePayClass.getPay();
			double milesDouble = ThePayClass.getMilesDriven();
			double TotalRentals = ThePayClass.getEmployeeCount();
			double averagespent = ThePayClass.getAveragePay();
			double earned = ThePayClass.getTotalMade();
			
			
			
			
		//extra: connect to a format cclass	
			//String formattedDataString;
			NumberFormat fmtCurrency = NumberFormat.getCurrencyInstance();
			DecimalFormat decFor = new DecimalFormat("####.00");
			//formattedDataString = fmtCurrency.format(payDouble);

			//String betterNumber = decFor.format(payDouble);
			
			//payDouble = decFor.format(payDouble);
			
					
			
		//4. output in the text Area
			txaresult.setText("Name: " + nameString + 
									" \n \t Total Charge: " + fmtCurrency.format(payDouble) + 
									" \n \t Miles Driven: " + milesDouble +
									"\n \t Address: " + AddressString + "\n \t \t" + CityString +", " + StateString + " " + ZipCodeString + 
									"\n \n Company Statistics: " + " \n total rentals :" + TotalRentals + " \n money gained:" + fmtCurrency.format(earned) + "\n Average Spent: " + fmtCurrency.format(averagespent)+
									"\n \n \n ____-----end-----____");
			
			txtName.setText("");
			txtAddress.setText("");
			txtCity.setText("");
			txtState.setText("");
			txtZipCode.setText("");
			txtOdo1.setText("");
			txtOdo2.setText("");
			txtDays.setText("");
			
			txtName.requestFocus();
			}
		catch(NumberFormatException err){
			
			showStatus("please make sure you've entered everything!");
		}
		}
		
		//Total Charge
		
		
	//Create DesignnputPanel()
		public void DesignInputPanel() {
			pnlInput.setLayout(new GridLayout(0,2));
			
			pnlInput.add(new JLabel("Name: "));
				pnlInput.add(txtName);
			pnlInput.add(new JLabel("Address: "));
				pnlInput.add(txtAddress);
			pnlInput.add(new JLabel("City: "));
				pnlInput.add(txtCity);
			pnlInput.add(new JLabel("State: "));
				pnlInput.add(txtState);
			pnlInput.add(new JLabel("Zipcode: "));
				pnlInput.add(txtZipCode);
			pnlInput.add(new JLabel("Odometer1: "));
				pnlInput.add(txtOdo1);
			pnlInput.add(new JLabel("Odometer2: "));
				pnlInput.add(txtOdo2);
			pnlInput.add(new JLabel("Days: "));
				pnlInput.add(txtDays);
				
				//radio stuff
				pnlInput.add(PayLevel2RadioButton);
				pnlInput.add(PayLevel3RadioButton);	
				pnlInput.add(PayLevel4RadioButton);	
			
				pnlInput.add(boseCheckBox);
				pnlInput.add(leatherCheckBox);
				
				PayButtonGroup.add(PayLevel2RadioButton);
				PayButtonGroup.add(PayLevel3RadioButton);
				PayButtonGroup.add(PayLevel4RadioButton);
				
		}
		
		public void DesignOutputPanel() {
			pnlOutput.setLayout(new GridLayout(0,1));
			pnlOutput.add(txaresult);
			
		}
		
	
	
}
